import { r as registerInstance, h } from './index-BIwHMk6j.js';

const feedItemThumbnailFileInfoCss = () => `@charset "UTF-8";:host(limebb-feed-item-thumbnail-file-info){display:flex;align-items:center;gap:0.5rem;padding:0 0.25rem 0.125rem 0.25rem}span{display:-webkit-box;overflow:hidden;white-space:normal;-webkit-box-orient:vertical;-webkit-line-clamp:2;line-height:normal;color:rgb(var(--contrast-1000));flex-grow:1;font-size:0.75rem}`;

const FeedItemThumbnailFileInfo = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return h("span", { key: '0205a9ad6caeae2ec0f8380da61b193b16c2cf76' }, this.description);
    }
};
FeedItemThumbnailFileInfo.style = feedItemThumbnailFileInfoCss();

export { FeedItemThumbnailFileInfo as limebb_feed_item_thumbnail_file_info };
